Forum Rule: Always post complete source code & details to reproduce any issue!
Page 2 of 2 FirstFirst 1 2
Results 26 to 29 of 29

Thread: Teensyduino 1.20 Release Candidate #3 Available

  1. #26
    Senior Member
    Join Date
    Jan 2014
    Posts
    105
    Quote Originally Posted by PaulStoffregen View Post
    Not really. I considered a couple really ugly kludges, but decided against them. In Arduino's 1.5.X branch, SD always requires SPI, so you might as well just put #include <SPI.h> into your sketch now.
    I guess I've got no choice. Thanks for your comment Paul.

  2. #27
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,556
    The days of libraries accessing the SPI port without using the SPI library are thankfully coming to a close.

    Long-term, we really need libraries to use the hardware independent APIs and the new SPI transaction functions.

  3. #28
    Senior Member+ manitou's Avatar
    Join Date
    Jan 2013
    Posts
    2,192
    rc4 didn't have fixes to FreqMeasureCapture.h ...
    https://github.com/PaulStoffregen/FreqMeasure/issues

  4. #29
    Senior Member xxxajk's Avatar
    Join Date
    Nov 2013
    Location
    Buffalo, NY USA
    Posts
    528
    boards.txt needs a std=c99 added, so that c99 code compiles.
    Simply adding this to build properties works, but spits out warnings, because the setting is used for g++ too.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •